/* common preprocessor defines, 2.14.4 */

/* For an example, see https://www.boost.org/doc/libs/1_60_0/boost/config/compiler/gcc.hpp */

#if (defined (__SVR4) && defined (__sun))
#  define __SOLARIS
#endif

#if ((defined(__i386__) || defined(__x86_64__)) && \
  defined(__GNUC__) && (!(defined(OPENSUSE) || defined(__linux__) || defined(__SOLARIS) || defined(LUA_DOS) || defined(__OS2__) || defined(__APPLE__))))
#  define CPUINFO
#endif

#if (defined(__GNUC__) && !(defined(OPENSUSE) || defined(LUA_RASPI_STRETCH) || defined(__OS2__) || defined(__APPLE__) || defined(__powerpc__)))
#  define CPUID
#endif

